import createAxios from '@/utils/request'

// 设备列表
export function getDeviceTree(params?: any) {
    return createAxios({
        url: '/cs-device-boot/csLedger/deviceTree',
        method: 'POST',
        params
    })
}

// 监测点列表
export function getLineTree(params?: any) {
    return createAxios({
        url: '/cs-device-boot/csLedger/lineTree',
        method: 'POST',
        params
    })
}
// 监测点列表治理
export function objTree() {
    return createAxios({
        url: '/cs-device-boot/csLedger/objTree',
        method: 'POST'
    })
}

//云设备录入树
export function getCldTree() {
    return createAxios({
        url: '/cs-device-boot/csLedger/cldTree',
        method: 'POST'
    })
}
//报表树
export function lineTree() {
    return createAxios({
        url: '/cs-device-boot/csLedger/lineTree',
        method: 'POST'
    })
}
//APF报表树
export function getUserDevTree(data) {
    return createAxios({
        url: '/cs-harmonic-boot/pqSensitiveUser/getUserDevTree',
        method: 'POST',
        params: data
    })
}
